
#' Fylkesvis pr mnd
#' @description a simple function to gather fylkesvise logging  data from excel files
#' @return a tibble with logging statistics
#' @param Behøver ingen parametere. Datafilene ligger i egen folder.
#' @export
#'
#' @examples devtools::install_github("hbelbo/vsop")
#' fylkesvis_mnd()
fylkesvis_mnd = function(){
  files <-   list.files(path = (system.file("extdata", package = "vsop")) ,
                        pattern = ".xlsx", full.names = T) %>%
    .[which(!stringr::str_detect(., "~"))] %>%
    .[which(stringr::str_detect(., "Fylkesvis avvirkning pr måned "))]

  df = readxl::read_xlsx(path = files[1], sheet = 1, skip = 2, col_names = T)[NULL, ]
  for (i in seq_along(files)){
    df = rbind(df, readxl::read_xlsx(path = files[i], sheet = 1, skip = 2, col_names = T))
  }
  return(df)
}


